[arch-commits] Commit in mkpxelinux/repos/extra-any (10 files)

Tobias Powalowski tpowa at nymeria.archlinux.org
Sat May 18 02:51:05 EDT 2013


    Date: Saturday, May 18, 2013 @ 08:51:05
  Author: tpowa
Revision: 185736

archrelease: copy trunk to extra-any

Added:
  mkpxelinux/repos/extra-any/PKGBUILD
    (from rev 185735, mkpxelinux/trunk/PKGBUILD)
  mkpxelinux/repos/extra-any/boot.msg
    (from rev 185735, mkpxelinux/trunk/boot.msg)
  mkpxelinux/repos/extra-any/mkpxelinux
    (from rev 185735, mkpxelinux/trunk/mkpxelinux)
  mkpxelinux/repos/extra-any/mkpxelinux.conf
    (from rev 185735, mkpxelinux/trunk/mkpxelinux.conf)
  mkpxelinux/repos/extra-any/options.msg
    (from rev 185735, mkpxelinux/trunk/options.msg)
Deleted:
  mkpxelinux/repos/extra-any/PKGBUILD
  mkpxelinux/repos/extra-any/boot.msg
  mkpxelinux/repos/extra-any/mkpxelinux
  mkpxelinux/repos/extra-any/mkpxelinux.conf
  mkpxelinux/repos/extra-any/options.msg

-----------------+
 PKGBUILD        |   54 ++++++++--------
 boot.msg        |   28 ++++----
 mkpxelinux      |  180 +++++++++++++++++++++++++++---------------------------
 mkpxelinux.conf |   72 ++++++++++-----------
 options.msg     |   12 +--
 5 files changed, 173 insertions(+), 173 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2013-05-18 06:50:57 UTC (rev 185735)
+++ PKGBUILD	2013-05-18 06:51:05 UTC (rev 185736)
@@ -1,27 +0,0 @@
-# $Id$
-# Maintainer : Tobias Powalowski <tpowa at archlinux.org>
-
-pkgname=mkpxelinux
-pkgver=2013.03
-pkgrel=1
-pkgdesc="Advanced, modular network pxe boot image creation utility"
-arch=(any)
-license=('GPL')
-url="http://www.archlinux.org/"
-depends=('mkinitcpio' 'tftp-hpa' 'syslinux')
-backup=(etc/mkpxelinux.conf)
-optdepends=('dhcp: for dhcp server usage')
-source=('boot.msg' 'mkpxelinux' 'mkpxelinux.conf' 'options.msg')
-md5sums=('f4a30ab94fdc1974f4fbdfd7235ca512'
-         '5ee29803b41e31fcb4b8b884a44559ed'
-         '1b6aa3d4e77d6d7a61590d242d34a138'
-         'b211c5f7e30d2ee36cde20f71aa3f2b8')
-
-package()
-{
-  cd "$srcdir/"
-  install -D -m755 mkpxelinux "$pkgdir/usr/sbin/mkpxelinux"
-  install -D -m644 mkpxelinux.conf "$pkgdir/etc/mkpxelinux.conf"
-  install -D -m644 boot.msg "$pkgdir/usr/share/mkpxelinux/boot.msg"
-  install -D -m644 options.msg "$pkgdir/usr/share/mkpxelinux/options.msg"
-}

Copied: mkpxelinux/repos/extra-any/PKGBUILD (from rev 185735, mkpxelinux/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2013-05-18 06:51:05 UTC (rev 185736)
@@ -0,0 +1,27 @@
+# $Id$
+# Maintainer : Tobias Powalowski <tpowa at archlinux.org>
+
+pkgname=mkpxelinux
+pkgver=2013.03
+pkgrel=2
+pkgdesc="Advanced, modular network pxe boot image creation utility"
+arch=(any)
+license=('GPL')
+url="http://www.archlinux.org/"
+depends=('mkinitcpio' 'tftp-hpa' 'syslinux')
+backup=(etc/mkpxelinux.conf)
+optdepends=('dhcp: for dhcp server usage')
+source=('boot.msg' 'mkpxelinux' 'mkpxelinux.conf' 'options.msg')
+md5sums=('f4a30ab94fdc1974f4fbdfd7235ca512'
+         '5ee29803b41e31fcb4b8b884a44559ed'
+         '1b6aa3d4e77d6d7a61590d242d34a138'
+         'b211c5f7e30d2ee36cde20f71aa3f2b8')
+
+package()
+{
+  cd "$srcdir/"
+  install -D -m755 mkpxelinux "$pkgdir/usr/bin/mkpxelinux"
+  install -D -m644 mkpxelinux.conf "$pkgdir/etc/mkpxelinux.conf"
+  install -D -m644 boot.msg "$pkgdir/usr/share/mkpxelinux/boot.msg"
+  install -D -m644 options.msg "$pkgdir/usr/share/mkpxelinux/options.msg"
+}

Deleted: boot.msg
===================================================================
--- boot.msg	2013-05-18 06:50:57 UTC (rev 185735)
+++ boot.msg	2013-05-18 06:51:05 UTC (rev 185736)
@@ -1,14 +0,0 @@
-
-
-------------------------------------------------------------------------------
-Arch Linux
-PXELINUX BOOT
-created with 'mkpxelinux' written by Tobias Powalowski <tpowa at archlinux.org>
-
-Press ENTER or type 'arch' to boot image.
-
-If you wish to change your defaults to boot into your existing system,
-type 'vmlinuz initrd=initrd.img <any_other_boot_option>'
-Use the F2 key for troubleshooting and options.
-------------------------------------------------------------------------------
-

Copied: mkpxelinux/repos/extra-any/boot.msg (from rev 185735, mkpxelinux/trunk/boot.msg)
===================================================================
--- boot.msg	                        (rev 0)
+++ boot.msg	2013-05-18 06:51:05 UTC (rev 185736)
@@ -0,0 +1,14 @@
+
+
+------------------------------------------------------------------------------
+Arch Linux
+PXELINUX BOOT
+created with 'mkpxelinux' written by Tobias Powalowski <tpowa at archlinux.org>
+
+Press ENTER or type 'arch' to boot image.
+
+If you wish to change your defaults to boot into your existing system,
+type 'vmlinuz initrd=initrd.img <any_other_boot_option>'
+Use the F2 key for troubleshooting and options.
+------------------------------------------------------------------------------
+

Deleted: mkpxelinux
===================================================================
--- mkpxelinux	2013-05-18 06:50:57 UTC (rev 185735)
+++ mkpxelinux	2013-05-18 06:51:05 UTC (rev 185736)
@@ -1,90 +0,0 @@
-#! /bin/sh
-# Created by Tobias Powalowski <tpowa at archlinux.org>
-# Settings
-APPNAME=$(basename "${0}")
-CONFIG="/etc/mkpxelinux.conf"
-
-usage ()
-{
-    echo "${APPNAME}: usage"
-    echo""
-    echo "  -d=INSTALLDIR    Your INSTALLDIR overwrites config default"
-    echo "  -c=CONFIG        Use CONFIG file. default: /etc/mkpxelinux.conf"
-    echo "  -h               This message."
-    exit 1
-}
-
-[ "$1" == "" ] && usage && exit 1
-
-while [ $# -gt 0 ]; do
-	case $1 in
-		-c=*|--c=*) CONFIG="$(echo $1 | awk -F= '{print $2;}')" ;;
-		-d=*|--d=*) CUSTOMINSTALLDIR="$(echo $1 | awk -F= '{print $2;}')" ;;
-		-h|--h|?) usage ;; 
-		*) usage ;;
-		esac
-	shift
-done
-
-if [ ! -f "${CONFIG}" ]; then
-	echo "config file '${CONFIG}' cannot be found, aborting..."
-    exit 1
-fi
-
-. "${CONFIG}"
-# export for mkinitcpio
-[ -n "${APPENDBOOTMESSAGE}" ] && export APPENDBOOTMESSAGE
-[ -n "${APPENDOPTIONSBOOTMESSAGE}" ] && export APPENDOPTIONSBOOTMESSAGE
-
-! [ "${CUSTOMINSTALLDIR}" = "" ] && INSTALLDIR=${CUSTOMINSTALLDIR}
-
-if [ "${INSTALLDIR}" = "" ]; then 
-	echo "ERROR: No INSTALLDIR name specified, please use the -d option"
-	 exit 1
-fi
-
-if ! [ $UID -eq 0 ]; then 
-	echo "ERROR: only works when run as root!"
-	exit 1
-fi
-
-! [ -e ${INSTALLDIR} ] && echo "No ${INSTALLDIR} found!" && exit 1 
-export TEMPDIR=${NFSROOTDIR}
-export INSTALLDIR=${INSTALLDIR}
-export RUNPROGRAM="${APPNAME}"
-[ "${BOOTMESSAGE}" = "" ] && export BOOTMESSAGE=$(mktemp /tmp/bootmessage.XXXX)
-[ "${OPTIONSBOOTMESSAGE}" = "" ] && export OPTIONSBOOTMESSAGE=$(mktemp /tmp/optionsbootmessage.XXXX)
-export USEKERNEL=${VERSION}
-# begin script
-# create default
-echo ":: Creating pxelinux default config file ..."
-mkdir -p ${INSTALLDIR}/pxelinux.cfg
-if [ "${PXELINUX_DEFAULT}" = "" ]; then
-	[ -e ${INSTALLDIR}/pxelinux.cfg/default ] && rm ${INSTALLDIR}/pxelinux.cfg/default
-	echo "prompt ${PROMPT}" >> ${INSTALLDIR}/pxelinux.cfg/default
-	echo "timeout ${TIMEOUT}" >> ${INSTALLDIR}/pxelinux.cfg/default
-	echo "display boot.msg" >> ${INSTALLDIR}/pxelinux.cfg/default
-	echo "F1 boot.msg" >> ${INSTALLDIR}/pxelinux.cfg/default
-	echo "F2 options.msg" >> ${INSTALLDIR}/pxelinux.cfg/default
-	echo "default arch"  >> ${INSTALLDIR}/pxelinux.cfg/default
-	echo "label arch" >> ${INSTALLDIR}/pxelinux.cfg/default
-	echo "kernel vmlinuz" >> ${INSTALLDIR}/pxelinux.cfg/default
-	echo "append initrd=initrd.img ${KERNEL_BOOT_OPTIONS}" >> ${INSTALLDIR}/pxelinux.cfg/default
-else
-	sed "s|@@PROMPT@@|${PROMPT}|g;s|@@TIMEOUT@@|${TIMEOUT}|g;s|@@KERNEL_BOOT_OPTIONS@@|${KERNEL_BOOT_OPTIONS}|g" \
-		${PXELINUX_DEFAULT} >  ${INSTALLDIR}/pxelinux.cfg/default
-fi
-[ ! -s ${INSTALLDIR}/pxelinux.cfg/default ] && echo "No pxelinux default config found" && exit 1
-echo ":: Calling mkinitcpio CONFIG=${MKINITCPIO_CONFIG} KERNEL=${VERSION} ..." 
-# generate initramdisk
-echo ":: Creating initramdisk ..."
-	mkinitcpio -c ${MKINITCPIO_CONFIG} -k ${VERSION} -g ${INSTALLDIR}/initrd.img
-echo ":: Using ${KERNEL} as image kernel ..."
-	install -m644 ${KERNEL} ${INSTALLDIR}/vmlinuz
-echo ":: Installing message files to ${INSTALLDIR} ..."
-	install -m644 ${BOOTMESSAGE} ${INSTALLDIR}/boot.msg
-	install -m644 ${OPTIONSBOOTMESSAGE} ${INSTALLDIR}/options.msg
-	[ ! -s ${INSTALLDIR}/boot.msg ] && echo 'ERROR:no boot.msg found, aborting!' && exit 1
-	[ ! -s ${INSTALLDIR}/options.msg ] && echo 'ERROR:no options.msg found, aborting!' && exit 1
-echo ":: Installing PXELINUX to ${INSTALLDIR} ..."
-	install -m644 /usr/lib/syslinux/pxelinux.0 ${INSTALLDIR}/pxelinux.0 && echo "Installation completed."

Copied: mkpxelinux/repos/extra-any/mkpxelinux (from rev 185735, mkpxelinux/trunk/mkpxelinux)
===================================================================
--- mkpxelinux	                        (rev 0)
+++ mkpxelinux	2013-05-18 06:51:05 UTC (rev 185736)
@@ -0,0 +1,90 @@
+#! /bin/sh
+# Created by Tobias Powalowski <tpowa at archlinux.org>
+# Settings
+APPNAME=$(basename "${0}")
+CONFIG="/etc/mkpxelinux.conf"
+
+usage ()
+{
+    echo "${APPNAME}: usage"
+    echo""
+    echo "  -d=INSTALLDIR    Your INSTALLDIR overwrites config default"
+    echo "  -c=CONFIG        Use CONFIG file. default: /etc/mkpxelinux.conf"
+    echo "  -h               This message."
+    exit 1
+}
+
+[ "$1" == "" ] && usage && exit 1
+
+while [ $# -gt 0 ]; do
+	case $1 in
+		-c=*|--c=*) CONFIG="$(echo $1 | awk -F= '{print $2;}')" ;;
+		-d=*|--d=*) CUSTOMINSTALLDIR="$(echo $1 | awk -F= '{print $2;}')" ;;
+		-h|--h|?) usage ;; 
+		*) usage ;;
+		esac
+	shift
+done
+
+if [ ! -f "${CONFIG}" ]; then
+	echo "config file '${CONFIG}' cannot be found, aborting..."
+    exit 1
+fi
+
+. "${CONFIG}"
+# export for mkinitcpio
+[ -n "${APPENDBOOTMESSAGE}" ] && export APPENDBOOTMESSAGE
+[ -n "${APPENDOPTIONSBOOTMESSAGE}" ] && export APPENDOPTIONSBOOTMESSAGE
+
+! [ "${CUSTOMINSTALLDIR}" = "" ] && INSTALLDIR=${CUSTOMINSTALLDIR}
+
+if [ "${INSTALLDIR}" = "" ]; then 
+	echo "ERROR: No INSTALLDIR name specified, please use the -d option"
+	 exit 1
+fi
+
+if ! [ $UID -eq 0 ]; then 
+	echo "ERROR: only works when run as root!"
+	exit 1
+fi
+
+! [ -e ${INSTALLDIR} ] && echo "No ${INSTALLDIR} found!" && exit 1 
+export TEMPDIR=${NFSROOTDIR}
+export INSTALLDIR=${INSTALLDIR}
+export RUNPROGRAM="${APPNAME}"
+[ "${BOOTMESSAGE}" = "" ] && export BOOTMESSAGE=$(mktemp /tmp/bootmessage.XXXX)
+[ "${OPTIONSBOOTMESSAGE}" = "" ] && export OPTIONSBOOTMESSAGE=$(mktemp /tmp/optionsbootmessage.XXXX)
+export USEKERNEL=${VERSION}
+# begin script
+# create default
+echo ":: Creating pxelinux default config file ..."
+mkdir -p ${INSTALLDIR}/pxelinux.cfg
+if [ "${PXELINUX_DEFAULT}" = "" ]; then
+	[ -e ${INSTALLDIR}/pxelinux.cfg/default ] && rm ${INSTALLDIR}/pxelinux.cfg/default
+	echo "prompt ${PROMPT}" >> ${INSTALLDIR}/pxelinux.cfg/default
+	echo "timeout ${TIMEOUT}" >> ${INSTALLDIR}/pxelinux.cfg/default
+	echo "display boot.msg" >> ${INSTALLDIR}/pxelinux.cfg/default
+	echo "F1 boot.msg" >> ${INSTALLDIR}/pxelinux.cfg/default
+	echo "F2 options.msg" >> ${INSTALLDIR}/pxelinux.cfg/default
+	echo "default arch"  >> ${INSTALLDIR}/pxelinux.cfg/default
+	echo "label arch" >> ${INSTALLDIR}/pxelinux.cfg/default
+	echo "kernel vmlinuz" >> ${INSTALLDIR}/pxelinux.cfg/default
+	echo "append initrd=initrd.img ${KERNEL_BOOT_OPTIONS}" >> ${INSTALLDIR}/pxelinux.cfg/default
+else
+	sed "s|@@PROMPT@@|${PROMPT}|g;s|@@TIMEOUT@@|${TIMEOUT}|g;s|@@KERNEL_BOOT_OPTIONS@@|${KERNEL_BOOT_OPTIONS}|g" \
+		${PXELINUX_DEFAULT} >  ${INSTALLDIR}/pxelinux.cfg/default
+fi
+[ ! -s ${INSTALLDIR}/pxelinux.cfg/default ] && echo "No pxelinux default config found" && exit 1
+echo ":: Calling mkinitcpio CONFIG=${MKINITCPIO_CONFIG} KERNEL=${VERSION} ..." 
+# generate initramdisk
+echo ":: Creating initramdisk ..."
+	mkinitcpio -c ${MKINITCPIO_CONFIG} -k ${VERSION} -g ${INSTALLDIR}/initrd.img
+echo ":: Using ${KERNEL} as image kernel ..."
+	install -m644 ${KERNEL} ${INSTALLDIR}/vmlinuz
+echo ":: Installing message files to ${INSTALLDIR} ..."
+	install -m644 ${BOOTMESSAGE} ${INSTALLDIR}/boot.msg
+	install -m644 ${OPTIONSBOOTMESSAGE} ${INSTALLDIR}/options.msg
+	[ ! -s ${INSTALLDIR}/boot.msg ] && echo 'ERROR:no boot.msg found, aborting!' && exit 1
+	[ ! -s ${INSTALLDIR}/options.msg ] && echo 'ERROR:no options.msg found, aborting!' && exit 1
+echo ":: Installing PXELINUX to ${INSTALLDIR} ..."
+	install -m644 /usr/lib/syslinux/pxelinux.0 ${INSTALLDIR}/pxelinux.0 && echo "Installation completed."

Deleted: mkpxelinux.conf
===================================================================
--- mkpxelinux.conf	2013-05-18 06:50:57 UTC (rev 185735)
+++ mkpxelinux.conf	2013-05-18 06:51:05 UTC (rev 185736)
@@ -1,36 +0,0 @@
-# Created by Tobias Powalowski <tpowa at archlinux.org>
-# config file of mkpxelinux
-
-# DEFAULT kernel boot options like ip=:::::eth0:dhcp etc.
-# add your root= option, if you boot from a disk device
-# and don't want to add it by hand on each boot
-KERNEL_BOOT_OPTIONS=""
-
-# mkinitcpio config file, defaulted to stock config file
-MKINITCPIO_CONFIG="/etc/mkinitcpio.conf"
-
-# kernel version, defaulted to build for runtime kernel
-VERSION="$(uname -r)"
-
-# kernel image, defaulted to stock arch kernel
-KERNEL="/boot/vmlinuz-linux"
-
-# boot message files
-BOOTMESSAGE="/usr/share/mkpxelinux/boot.msg"
-OPTIONSBOOTMESSAGE="/usr/share/mkpxelinux/options.msg"
-
-#pxelinux default config file to use
-PXELINUX_DEFAULT=""
-
-# Prompt on boot, 1=yes 0=no
-PROMPT="1"
-
-# Timeout, 30 seconds to fix usb keyboard issues
-# 0 means wait for prompt
-TIMEOUT="300"
-
-# Installdir of tftp, default location
-INSTALLDIR="/var/tftpboot"
-
-# Nfsrootdir, for hooks that might need it
-NFSROOTDIR=""

Copied: mkpxelinux/repos/extra-any/mkpxelinux.conf (from rev 185735, mkpxelinux/trunk/mkpxelinux.conf)
===================================================================
--- mkpxelinux.conf	                        (rev 0)
+++ mkpxelinux.conf	2013-05-18 06:51:05 UTC (rev 185736)
@@ -0,0 +1,36 @@
+# Created by Tobias Powalowski <tpowa at archlinux.org>
+# config file of mkpxelinux
+
+# DEFAULT kernel boot options like ip=:::::eth0:dhcp etc.
+# add your root= option, if you boot from a disk device
+# and don't want to add it by hand on each boot
+KERNEL_BOOT_OPTIONS=""
+
+# mkinitcpio config file, defaulted to stock config file
+MKINITCPIO_CONFIG="/etc/mkinitcpio.conf"
+
+# kernel version, defaulted to build for runtime kernel
+VERSION="$(uname -r)"
+
+# kernel image, defaulted to stock arch kernel
+KERNEL="/boot/vmlinuz-linux"
+
+# boot message files
+BOOTMESSAGE="/usr/share/mkpxelinux/boot.msg"
+OPTIONSBOOTMESSAGE="/usr/share/mkpxelinux/options.msg"
+
+#pxelinux default config file to use
+PXELINUX_DEFAULT=""
+
+# Prompt on boot, 1=yes 0=no
+PROMPT="1"
+
+# Timeout, 30 seconds to fix usb keyboard issues
+# 0 means wait for prompt
+TIMEOUT="300"
+
+# Installdir of tftp, default location
+INSTALLDIR="/var/tftpboot"
+
+# Nfsrootdir, for hooks that might need it
+NFSROOTDIR=""

Deleted: options.msg
===================================================================
--- options.msg	2013-05-18 06:50:57 UTC (rev 185735)
+++ options.msg	2013-05-18 06:51:05 UTC (rev 185736)
@@ -1,6 +0,0 @@
-------------------------------------------------------------------------------
-Arch Linux options and troubleshooting:
-
-- If your system hangs during the boot process, any combinations of the
-  boot options noapic acpi=off pci=routeirq nosmp nomsi may be useful.
-------------------------------------------------------------------------------
\ No newline at end of file

Copied: mkpxelinux/repos/extra-any/options.msg (from rev 185735, mkpxelinux/trunk/options.msg)
===================================================================
--- options.msg	                        (rev 0)
+++ options.msg	2013-05-18 06:51:05 UTC (rev 185736)
@@ -0,0 +1,6 @@
+------------------------------------------------------------------------------
+Arch Linux options and troubleshooting:
+
+- If your system hangs during the boot process, any combinations of the
+  boot options noapic acpi=off pci=routeirq nosmp nomsi may be useful.
+------------------------------------------------------------------------------
\ No newline at end of file



More information about the arch-commits mailing list